package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("获取所有出品机绑定菜谱详情(自助查询机)")
public class AndroidAllProductsRecipeVO implements Serializable {
   @ApiModelProperty("菜品名称")
   private String mealName;
   @ApiModelProperty("菜品价格")
   private Integer price;
   @ApiModelProperty("菜品图片")
   private String imageUrl;
   @ApiModelProperty("菜品评分")
   private BigDecimal starLevel;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public String getMealName() {
      return this.mealName;
   }

   public Integer getPrice() {
      return this.price;
   }

   public BigDecimal getStarLevel() {
      return this.starLevel;
   }

   public void setMealName(final String mealName) {
      this.mealName = mealName;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setStarLevel(final BigDecimal starLevel) {
      this.starLevel = starLevel;
   }

}
